cpts<- {bnstruct} | R Documentation

## set the list of conditional probability tables of a network.

### Description

Set the list of conditional probability tables of a `BN` object.

### Usage

    cpts(x) <- value

    ## S4 replacement method for signature 'BN'
    cpts(x) <- value

### Arguments

`x` | an object.
`value` | list of the conditional probability tables of the object.

### Details

Each conditional probability table is represented as a multidimensional array. To retrieve single dimensions (e.g. to compute marginals), users should provide dimensions names.

[Package bnstruct version 1.0.6 Index]